/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H 
#include "config.h"
#endif

#include <glib.h>
#include <stdlib.h>
#include <getopt.h>

static void usage(char *program_name) {
	g_print("Usage: %s <mount-point>\n", program_name);
}

int main(int argc, char *argv[]) {
	gchar *path = NULL;
	gchar *cwd = NULL;
	gchar *system_cmd = NULL;
	int retcode = 0;
	
	if(argc < 2) {
		usage(argv[0]);
		return 0;
	}

	if( g_path_is_absolute(argv[1]) )
		path = g_strdup(argv[1]);
	else {
		cwd = g_get_current_dir();
		path = g_build_path("/", cwd, argv[1], NULL);
		g_free(cwd);
	}

	system_cmd = g_strdup_printf("fusermount -u %s", path);
	g_free(path);

	retcode = system(system_cmd);
	g_free(system_cmd);

	return retcode;
}

